#include "dialognewstock.h"
#include "ui_dialognewstock.h"
#include <QDebug>
#include <QSqlQuery>
#include <QSqlError>

DialogNewStock::DialogNewStock(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::DialogNewStock)
{
    ui->setupUi(this);
}

DialogNewStock::~DialogNewStock()
{
    delete ui;
}

void DialogNewStock::on_btnNewStock_clicked()
{
    QString stockId = ui->editStockId->text();
    QString stockName = ui->editStockName->text();

    if(stockId.trimmed().length() == 0){
        qDebug() << "stockId can not be null";
        return;
    }

    QSqlQuery query;
    QString qQuery = "INSERT INTO stockname (stockId,stockName) "
            "VALUES (\"%1\", \"%2\")";
    qQuery = qQuery.arg(stockId).arg(stockName);

    query.prepare(qQuery);
    //qDebug() << "query:" << qQuery;
    bool result = query.exec();
    if(!result){
        qDebug() << query.lastError().text().toLocal8Bit().data();
    }else{
        qDebug() << "insert one stock success";
        ui->editStockId->setText("");
        ui->editStockName->setText("");
    }
}
