#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QNetworkAccessManager>
#include <vector>
#include "stockhistory.h"

using namespace std;

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void on_btnStartGet_clicked();
    void query(QNetworkReply* reply);
    void on_btnGetBestBuy_clicked();

    void on_btnAnalysis_clicked();

    void on_btnNewStock_clicked();

    void on_btnRefresh_clicked();

private:
    Ui::MainWindow *ui;
    vector<StockHistory> allHistorys;

    bool connectDb();
    void loadAllStock();
    void loadHistoryByStockId(QString stockId);
    void mainAnalysis();

};

#endif // MAINWINDOW_H
