#ifndef STOCKHISTORY
#define STOCKHISTORY

#include <QDate>
#include <QString>

#define SYNTHESIZE(varType, varName, funName)\
protected: varType varName;\
public: virtual varType get##funName(void) const { return varName; }\
public: virtual void set##funName(varType var){ varName = var; }

class StockHistory{
    SYNTHESIZE(int, _hisotoryId, HistoryId)
    SYNTHESIZE(QString, _stockId, StockId)
    SYNTHESIZE(QDate, _date, Date)
    SYNTHESIZE(float, _close, Close)
    SYNTHESIZE(int, _volume, Volume)
    SYNTHESIZE(float, _open, Open)
    SYNTHESIZE(float, _high, High)
    SYNTHESIZE(float, _low, Low)
};


#endif // STOCKHISTORY

