


#include "stutility.h"
#include <QDateTime>
#include <QSqlQuery>
#include <QDebug>
#include <QSqlError>

#include "constants.h"


QDate STUtility::getMaxHistoryDate(QString stockId){
    QSqlQuery query;
    QString qSelectQuery;
    qSelectQuery = QString("select date from stockHistory where stockId = '%1' order by date desc limit 0, 1").arg(stockId);
    bool execResult = query.exec(qSelectQuery);
    QDate result;
    if(execResult){
        while(query.next()){
            result = query.value(0).toDate();
        }
    }else{
        qDebug() << "getMaxHistoryDate error:" << query.lastError().text().toLocal8Bit().data();
    }
    return result;
}

float STUtility::getHugeDropByStockId(QString stockId){
    QSqlQuery query;
    QString qSelectQuery;
    qSelectQuery = QString("select hugeDrop from stockname where stockId = '%1'").arg(stockId);
    bool execResult = query.exec(qSelectQuery);
    float result;
    if(execResult){
        while(query.next()){
            result = query.value(0).toFloat();
        }
    }else{
        qDebug() << "getHugeDropByStockId error:" << query.lastError().text().toLocal8Bit().data();
    }
    return result;
}

bool STUtility::isRedResult(float open, float close){
    return (close > open ? true : false);
}

//Apr 1, 2015 to Apr 01, 2015
QString STUtility::getValideDate(QString input){
    QString result;
    int spaceIndex = input.indexOf(' ');
    int dotIndex = input.indexOf(',');
    QString day = input.mid(spaceIndex + 1, dotIndex - spaceIndex - 1);
    QString month = input.mid(0, 3);
    QString subStr(" ");
    QString newStr(" 0");
    if(day.toInt() < 10){
        result = input.replace(input.indexOf(subStr), subStr.size(), newStr);
    }else{
        result = input;
    }
    return getMonthOfString(month) + " " + result.mid(spaceIndex + 1);
    //return result;
}



//http://finance.yahoo.com/q/hp?s=NTES&a=03&b=6&c=2014&d=03&e=6&f=2015&g=d
// month day year - 1, month day year
QString STUtility::getYAHOOURLString(QString stockId){
    QDateTime currentTime = QDateTime::currentDateTime();
    int day = currentTime.date().day();
    int month = currentTime.date().month();
    int year = currentTime.date().year();

    QString monthString = "";
    if(month - 1 <= 9){
        monthString = "0" + QString::number(month - 1);
    }else{
        monthString = QString::number(month - 1);
    }

    return stockSource1.arg(stockId).arg(monthString).arg(day).arg(year - 1).arg(monthString).arg(day).arg(year);
}


QString STUtility::getMonthOfString(QString input){
    if(input == "Jan"){
        return "01";
    }else if(input == "Feb"){
        return "02";
    }else if(input == "Mar"){
        return "03";
    }else if(input == "Apr"){
        return "04";
    }else if(input == "May"){
        return "05";
    }else if(input == "Jun"){
        return "06";
    }else if(input == "Jul"){
        return "07";
    }else if(input == "Aug"){
        return "08";
    }else if(input == "Sep"){
        return "09";
    }else if(input == "Oct"){
        return "10";
    }else if(input == "Nov"){
        return "11";
    }else if(input == "Dec"){
        return "12";
    }
}
